[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# RTLEventCreate

Create a new RTL event

## Declaration

Source position: threadh.inc line 160

`function RTLEventCreate: PRTLEvent;`

## Description

RTLEventCreate creates and initializes a new RTL event. RTL events are used to notify other threads that a certain condition is met, and to notify other threads of condition changes (conditional variables).

The function returns an initialized RTL event, which must be disposed of with RTLEventdestroy

RTLEvent is used mainly for the synchronize method.

## See also

RTLEventDestroy |  | Destroy a RTL Event
RTLEventSetEvent |  | Notify threads of the event.
RTLEventReSetEvent |  | Reset an event
RTLEventWaitFor |  | Wait for an event.

Documentation generated on: Feb 26 2014